<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.ValidatorJavaPackages']}</h1>
        <div class="row">
            <div class="col-md-12">
                <h:form id="globalform">
                    #{validatorAssociationManager.initSelectedValidatorAssociation()}
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:param name="styleClass" value="panel-info"/>
                        <ui:define name="panel_title">#{messages['net.ihe.gazelle.ValidatorsJavaPackages']}</ui:define>
                        <dl class="dl-horizontal">
                            <s:decorate id="validatorName"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.ValidatorName_2']}</ui:define>
                                <h:outputText
                                        value="#{validatorAssociationManager.selectedValidatorAssociation.validatorName}"/>
                            </s:decorate>
                            <s:decorate id="packagesList"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.JavaPackages']}</ui:define>
                                <a4j:repeat var="javaPackage" value="#{validatorAssociationManager.selectedValidatorAssociation.packageList}">
                                    <h:outputText value="#{javaPackage.name}"/>
                                    <br />
                                </a4j:repeat>
                            </s:decorate>
                            <s:decorate id="validatorAssociationParents"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.ValidatorAssociationParents']}</ui:define>
                                <a4j:repeat var="validatorAssociation" value="#{validatorAssociationManager.selectedValidatorAssociation.validatorAssociationParents}">
                                    <h:outputText value="#{validatorAssociation.validatorName}"/>
                                    <br />
                                </a4j:repeat>
                            </s:decorate>
                        </dl>
                        <ui:define name="panel_footer">
                            <h:commandLink value="#{messages['net.ihe.gazelle.cdagen.Back']}"
                                           styleClass="gzl-btn"
                                           onclick="window.history.go(-1); return false;"/>
                            <h:outputLink
                                    styleClass="gzl-btn-blue"
                                    value="#{request.contextPath}/admin/validatorAssociation/edit.seam">
                                <f:param name="validatorAssociationId" value="#{validatorAssociationManager.selectedValidatorAssociation.id}"/>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.cdagen.Edit']}"/>
                            </h:outputLink>
                        </ui:define>
                    </ui:decorate>
                </h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>